import React from 'react';
import refractor from 'refractor';
import './style/index.less';
export * from './SelectionText';
export interface TextareaCodeEditorProps extends React.TextareaHTMLAttributes<HTMLTextAreaElement> {
    prefixCls?: string;
    /**
     * Set what programming language the code belongs to.
     */
    language?: string;
    /**
     * Optional padding for code. Default: `10`.
     */
    padding?: number;
    /**
     * The minimum height of the editor. Default: `16`.
     */
    minHeight?: number;
    /**
     * A refractor syntax (Prism language definition) to be registered by refractor. Default: `undefined`.
     */
    syntax?: refractor.RefractorSyntax;
}
declare const _default: React.ForwardRefExoticComponent<TextareaCodeEditorProps & React.RefAttributes<HTMLTextAreaElement>>;
export default _default;
